> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wappfy.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Overview

> The {session} parameter must be the session's instanceName.



## OpenAPI

````yaml viewer-en.json get /api/{session}/chats/overview
openapi: 3.1.0
info:
  title: Wappfy - WhatsApp HTTP API
  version: '2.0'
  contact: {}
servers:
  - url: https://{host}
    description: Customizable Server
    variables:
      host:
        default: api.wappfy.com.br
        description: Server URL (e.g., api.wappfy.com.br or your-server.com)
security:
  - api_key: []
tags:
  - name: 🖥️ Sessions
    description: Control WhatsApp sessions (accounts)
  - name: 🔑 Auth
    description: Authentication
  - name: 🆔 Profile
    description: Your profile information
  - name: 🖼️ Screenshot
    description: Get WhatsApp screenshot and display QR code
  - name: 📤 Chatting
    description: Conversation methods
  - name: 📢 Channels
    description: Channels (newsletters) methods
  - name: 🟢 Status
    description: Status (aka stories) methods
  - name: 💬 Chats
    description: Conversations methods
  - name: 👤 Contacts
    description: |-
      Contacts methods.<br>
                      Use phone number (without +) or phone number and `@c.us` at the end as `contactId`.<br>
                      E.g: `12312312310` OR `12312312310@c.us`<br>
  - name: 👥 Groups
    description: Groups methods.<br>
  - name: ✅ Presence
    description: Presence information
  - name: 📅 Events
    description: Event Message
  - name: 🏷️ Labels
    description: Labels - available only for WhatsApp Business accounts
  - name: 🔍 Observability
    description: Other methods
  - name: 🗄️ Storage
    description: Storage methods
externalDocs:
  description: Wappfy - WhatsApp API
  url: https://docs.wappfy.com.br/
paths:
  /api/{session}/chats/overview:
    get:
      tags:
        - 💬 Chats
      summary: Get conversations overview
      description: The {session} parameter must be the session's instanceName.
      operationId: ChatsController_getChatsOverview
      parameters:
        - name: session
          required: true
          in: path
          description: The session name (instanceName) to get conversations
          example: my-session
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            type: number
            default: 20
        - name: offset
          required: false
          in: query
          schema:
            type: number
        - name: ids
          required: false
          in: query
          description: Filter by conversation IDs
          example:
            - 111111111@c.us
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ChatSummary'
      security:
        - api_key: []
components:
  schemas:
    ChatSummary:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
          nullable: true
        picture:
          type: string
          nullable: true
        lastMessage:
          type: object
        _chat:
          type: object
      required:
        - id
        - name
        - picture
        - lastMessage
        - _chat
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: apikey
      description: Your Wappfy API key (get it at dash.wappfy.com.br)

````